PySQIF: Python Superconductor Quantum Interference Filters
==============================================

Maintained by [Ali AKGUN](https://github.com/aakgn)

PySQIF stands for Python Super Conductor Quantum Interference Filters. PySQIF is an open-source statistical analysis library for SQUIDs/Bi-SQUIDs. PySQIF library gives the average voltage response of defined Bi-SQUID circuit for each corresponding normalized applied external magnetic flux as an output.

**If you find PySQIF useful, please consider citing it in your publications, see: https://pysqif.readthedocs.io/en/latest/citing_this_project.html#citing.**

If you have questions concerning the usage or installation of PySQIF, please ask questions on ali.akgunphys@gmail.com.

Installation
------------

[![Downloads](https://pypi.org/project/PySQIF/)](https://pypi.org/project/PySQIF/)

The recommended way to install PySQIF is via pip by opening a terminal and running ``pip install pysqif``, more information [here](https://pysqif.readthedocs.io/en/latest/installation.html).

Documentation
------------------

Visit https://pysqif.readthedocs.io/en/latest/index.html# for all information about installation, tutorials and more.

Tutorials
---------

A selection of tutorials is available [here](https://pysqif.readthedocs.io/en/latest/tutorials.html).


Contribute
----------

You are most welcome to contribute to PySQIF development by forking this
repository and sending pull requests.

Filing bug reports, proposing changes or additional features can be done on our
[issues page](https://github.com/aakgn/PySQIF/issues)

You can also contact Mario at ali.akgunphys@gmail.com.
